RUP(1)

NAME
rup - remote status display

SYNOPSIS
rup [-dhlt] [host ...]

DESCRIPTION
rup displays a summary of the current system status of a particular host or all hosts on the local network. The output shows the current time of day, how long the system has been up, and the load averages. The load average numbers give the number of jobs in the run queue averaged over 1, 5, and 15 minutes.

The options are as follows:

-d  For each host, report what its local time is. This is useful for checking time synchronization on a network.

-h  Sort the display alphabetically by host name.

-l  Sort the display by load average.

-t  Sort the display by up time.

The rpc.rstatd(8) daemon must be running on the remote host for this command to work. rup uses an RPC protocol defined in /usr/include/rpcsvc/rstat.x.

EXAMPLES

    $ rup otherhost
    otherhost      up 6 days, 16:45,  load average: 0.20, 0.23, 0.18

DIAGNOSTICS

rup: RPC: Program not registered The rpc.rstatd(8) daemon has not been started on the remote host.

rup: RPC: Timed out A communication error occurred. Either the network is excessively congested, or the rpc.rstatd(8) daemon has terminated on the remote host.

rup: RPC: Port mapper failure - RPC: Timed out The remote host is not running the portmapper (see portmap(8)), and cannot accommodate any RPC-based services. The host may be down.

SEE ALSO
portmap(8), rpc.rstatd(8)

HISTORY
The rup command appeared in SunOS.